Skip to content

Rotate PDF

Easily rotate your PDF files permanently. Rotate all pages 90° clockwise, 90° counter-clockwise, or 180° (upside down).

1 credit per conversionOutput: .pdfTry on web

Accepted formats

.pdf

Parameters

NameTypeRequiredDescription
files[]fileYesFile(s) to convert
rotationstringYesRotation: +90, -90, or 180

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/rotate-pdf" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf" \
  -F "rotation=+90"

Related tools